Bug 823302 - ovirt-cron looks for the wrong logs to rotate ovirtlogrot.sh
ovirt-cron looks for the wrong logs to rotate ovirtlogrot.sh
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kiril Nesenko
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 13:55 EDT by Cybertimber2011
Modified: 2014-07-10 20:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:06:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cybertimber2011 2012-05-20 13:55:33 EDT
Description of problem:
Related to 819769, /usr/share/ovirt-engine/scripts/ovirtlogrot.sh apparently looks for "/var/log/ovirt-engine/rhevm.log.*" and "/var/log/ovirt-engine/rhevm.log.*.gz" instead of /var/log/ovirt-engine/engine.log (and the subsequent .gz version.

Version-Release number of selected component (if applicable):
3.0.0_0001

How reproducible:
Every time.

Steps to Reproduce:
1. In /etc/cron.daily/ovirt-cron, correct the path of /usr/share/ovirt/scripts/ovirtlogrot.sh to /usr/share/ovirt-engine/scripts/ovirtlogrot.sh
2. Run the script, or wait fron crond to do it.
  
Actual results:
Console outputs: 
ls: cannot access /var/log/ovirt-engine/rhevm.log.*: No such file or directory
ls: cannot access /var/log/ovirt-engine/rhevm.log.*.gz: No such file or directory

Expected results:
engine.log log files are rotated

Additional info:
References to rhevm.log need to be changed to engine.log
Comment 1 Cybertimber2011 2012-05-20 14:18:09 EDT
Hmm, simply changing all instances of rhevm.log to engine.log doesn't seem to do it.  I don't see anything in the script which makes the current engine.log into something else (like engine.log.1). It seems to look for engine.log.1 to compress.
Comment 2 Ofer Schreiber 2012-06-05 10:36:27 EDT
It seems like this bug was resolved in 26ce670fb6f53d0ed99d1e976c7ed628c9208665 (Alex Lourie - packaging:  Fixed using "ovirt-engine" instead of 'rhevm')
Comment 3 Itamar Heim 2012-08-09 04:06:32 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.